# Matomo

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/matomo/status.svg)](https://drone.autonomic.zone/compose-stacks/matomo)

Matomo analytics + CoöpCloud

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
2. `cp .envrc.sample .envrc`
3. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
4. `direnv allow` (or `. .envrc`)
5. Generate secrets:
   ```
   abra secret_generate db_password v1
   abra secret_generate db_root_password v1
   ```
6. `abra deploy`
7. Open the configured domain to finish set-up

[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
